Merging upstream version 0.5.7.
[debian/lxpanel.git] / man / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkglibexecdir = $(libexecdir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 build_triplet = @build@
35 host_triplet = @host@
36 subdir = man
37 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
40 $(top_srcdir)/configure.ac
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42 $(ACLOCAL_M4)
43 mkinstalldirs = $(install_sh) -d
44 CONFIG_HEADER = $(top_builddir)/config.h
45 CONFIG_CLEAN_FILES =
46 CONFIG_CLEAN_VPATH_FILES =
47 AM_V_GEN = $(am__v_GEN_$(V))
48 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
49 am__v_GEN_0 = @echo " GEN " $@;
50 AM_V_at = $(am__v_at_$(V))
51 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
52 am__v_at_0 = @
53 SOURCES =
54 DIST_SOURCES =
55 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
56 am__vpath_adj = case $$p in \
57 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
58 *) f=$$p;; \
59 esac;
60 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
61 am__install_max = 40
62 am__nobase_strip_setup = \
63 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
64 am__nobase_strip = \
65 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
66 am__nobase_list = $(am__nobase_strip_setup); \
67 for p in $$list; do echo "$$p $$p"; done | \
68 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
69 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
70 if (++n[$$2] == $(am__install_max)) \
71 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
72 END { for (dir in files) print dir, files[dir] }'
73 am__base_list = \
74 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
75 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
76 man1dir = $(mandir)/man1
77 am__installdirs = "$(DESTDIR)$(man1dir)"
78 NROFF = nroff
79 MANS = $(man_MANS)
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 ACLOCAL = @ACLOCAL@
82 ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
83 ALL_LINGUAS = @ALL_LINGUAS@
84 ALL_PLUGINS_LIST = @ALL_PLUGINS_LIST@
85 AMTAR = @AMTAR@
86 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
87 AR = @AR@
88 AUTOCONF = @AUTOCONF@
89 AUTOHEADER = @AUTOHEADER@
90 AUTOMAKE = @AUTOMAKE@
91 AWK = @AWK@
92 CATALOGS = @CATALOGS@
93 CATOBJEXT = @CATOBJEXT@
94 CC = @CC@
95 CCDEPMODE = @CCDEPMODE@
96 CFLAGS = @CFLAGS@
97 CPP = @CPP@
98 CPPFLAGS = @CPPFLAGS@
99 CYGPATH_W = @CYGPATH_W@
100 DATADIRNAME = @DATADIRNAME@
101 DEFS = @DEFS@
102 DEPDIR = @DEPDIR@
103 DLLTOOL = @DLLTOOL@
104 DSYMUTIL = @DSYMUTIL@
105 DUMPBIN = @DUMPBIN@
106 ECHO_C = @ECHO_C@
107 ECHO_N = @ECHO_N@
108 ECHO_T = @ECHO_T@
109 EGREP = @EGREP@
110 EXEEXT = @EXEEXT@
111 FGREP = @FGREP@
112 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
113 GMOFILES = @GMOFILES@
114 GMSGFMT = @GMSGFMT@
115 GREP = @GREP@
116 G_CAST_CHECKS = @G_CAST_CHECKS@
117 INSTALL = @INSTALL@
118 INSTALL_DATA = @INSTALL_DATA@
119 INSTALL_PROGRAM = @INSTALL_PROGRAM@
120 INSTALL_SCRIPT = @INSTALL_SCRIPT@
121 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
122 INSTOBJEXT = @INSTOBJEXT@
123 INTLLIBS = @INTLLIBS@
124 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
125 INTLTOOL_MERGE = @INTLTOOL_MERGE@
126 INTLTOOL_PERL = @INTLTOOL_PERL@
127 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
128 LD = @LD@
129 LDFLAGS = @LDFLAGS@
130 LIBOBJS = @LIBOBJS@
131 LIBS = @LIBS@
132 LIBTOOL = @LIBTOOL@
133 LIPO = @LIPO@
134 LN_S = @LN_S@
135 LTLIBOBJS = @LTLIBOBJS@
136 LXPANEL_MODULE = @LXPANEL_MODULE@
137 MAKEINFO = @MAKEINFO@
138 MANIFEST_TOOL = @MANIFEST_TOOL@
139 MENU_CACHE_CFLAGS = @MENU_CACHE_CFLAGS@
140 MENU_CACHE_LIBS = @MENU_CACHE_LIBS@
141 MKDIR_P = @MKDIR_P@
142 MKINSTALLDIRS = @MKINSTALLDIRS@
143 MSGFMT = @MSGFMT@
144 MSGFMT_OPTS = @MSGFMT_OPTS@
145 MSGMERGE = @MSGMERGE@
146 NM = @NM@
147 NMEDIT = @NMEDIT@
148 OBJDUMP = @OBJDUMP@
149 OBJEXT = @OBJEXT@
150 OTOOL = @OTOOL@
151 OTOOL64 = @OTOOL64@
152 PACKAGE = @PACKAGE@
153 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
154 PACKAGE_CFLAGS = @PACKAGE_CFLAGS@
155 PACKAGE_LIBS = @PACKAGE_LIBS@
156 PACKAGE_NAME = @PACKAGE_NAME@
157 PACKAGE_STRING = @PACKAGE_STRING@
158 PACKAGE_TARNAME = @PACKAGE_TARNAME@
159 PACKAGE_URL = @PACKAGE_URL@
160 PACKAGE_VERSION = @PACKAGE_VERSION@
161 PATH_SEPARATOR = @PATH_SEPARATOR@
162 PKG_CONFIG = @PKG_CONFIG@
163 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
164 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
165 PLUGINS_LIST = @PLUGINS_LIST@
166 POFILES = @POFILES@
167 POSUB = @POSUB@
168 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
169 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
170 RANLIB = @RANLIB@
171 SED = @SED@
172 SET_MAKE = @SET_MAKE@
173 SHELL = @SHELL@
174 STRIP = @STRIP@
175 USE_NLS = @USE_NLS@
176 VERSION = @VERSION@
177 X11_CFLAGS = @X11_CFLAGS@
178 X11_LIBS = @X11_LIBS@
179 XGETTEXT = @XGETTEXT@
180 XMKMF = @XMKMF@
181 XMLCATALOG = @XMLCATALOG@
182 XML_CATALOG_FILE = @XML_CATALOG_FILE@
183 XSLTPROC = @XSLTPROC@
184 abs_builddir = @abs_builddir@
185 abs_srcdir = @abs_srcdir@
186 abs_top_builddir = @abs_top_builddir@
187 abs_top_srcdir = @abs_top_srcdir@
188 ac_ct_AR = @ac_ct_AR@
189 ac_ct_CC = @ac_ct_CC@
190 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
191 am__include = @am__include@
192 am__leading_dot = @am__leading_dot@
193 am__quote = @am__quote@
194 am__tar = @am__tar@
195 am__untar = @am__untar@
196 bindir = @bindir@
197 build = @build@
198 build_alias = @build_alias@
199 build_cpu = @build_cpu@
200 build_os = @build_os@
201 build_vendor = @build_vendor@
202 builddir = @builddir@
203 datadir = @datadir@
204 datarootdir = @datarootdir@
205 docdir = @docdir@
206 dvidir = @dvidir@
207 exec_prefix = @exec_prefix@
208 host = @host@
209 host_alias = @host_alias@
210 host_cpu = @host_cpu@
211 host_os = @host_os@
212 host_vendor = @host_vendor@
213 htmldir = @htmldir@
214 includedir = @includedir@
215 infodir = @infodir@
216 install_sh = @install_sh@
217 libdir = @libdir@
218 libexecdir = @libexecdir@
219 localedir = @localedir@
220 localstatedir = @localstatedir@
221 mandir = @mandir@
222 mkdir_p = @mkdir_p@
223 oldincludedir = @oldincludedir@
224 pdfdir = @pdfdir@
225 prefix = @prefix@
226 program_transform_name = @program_transform_name@
227 psdir = @psdir@
228 sbindir = @sbindir@
229 sharedstatedir = @sharedstatedir@
230 srcdir = @srcdir@
231 sysconfdir = @sysconfdir@
232 target_alias = @target_alias@
233 top_build_prefix = @top_build_prefix@
234 top_builddir = @top_builddir@
235 top_srcdir = @top_srcdir@
236 man_MANS = \
237 lxpanel.1 \
238 lxpanelctl.1
239
240 man_XMANS = \
241 lxpanel.xml \
242 lxpanelctl.xml
243
244 EXTRA_DIST = \
245 $(man_MANS) \
246 $(man_XMANS)
247
248 @ENABLE_REGENERATE_MAN_TRUE@CLEANFILES = $(man_MANS)
249 all: all-am
250
251 .SUFFIXES:
252 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
253 @for dep in $?; do \
254 case '$(am__configure_deps)' in \
255 *$$dep*) \
256 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
257 && { if test -f $@; then exit 0; else break; fi; }; \
258 exit 1;; \
259 esac; \
260 done; \
261 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign man/Makefile'; \
262 $(am__cd) $(top_srcdir) && \
263 $(AUTOMAKE) --foreign man/Makefile
264 .PRECIOUS: Makefile
265 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
266 @case '$?' in \
267 *config.status*) \
268 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
269 *) \
270 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
271 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
272 esac;
273
274 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
275 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
276
277 $(top_srcdir)/configure: $(am__configure_deps)
278 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
279 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
280 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
281 $(am__aclocal_m4_deps):
282
283 mostlyclean-libtool:
284 -rm -f *.lo
285
286 clean-libtool:
287 -rm -rf .libs _libs
288 install-man1: $(man_MANS)
289 @$(NORMAL_INSTALL)
290 test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
291 @list=''; test -n "$(man1dir)" || exit 0; \
292 { for i in $$list; do echo "$$i"; done; \
293 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
294 sed -n '/\.1[a-z]*$$/p'; \
295 } | while read p; do \
296 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
297 echo "$$d$$p"; echo "$$p"; \
298 done | \
299 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
300 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
301 sed 'N;N;s,\n, ,g' | { \
302 list=; while read file base inst; do \
303 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
304 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
305 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
306 fi; \
307 done; \
308 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
309 while read files; do \
310 test -z "$$files" || { \
311 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
312 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
313 done; }
314
315 uninstall-man1:
316 @$(NORMAL_UNINSTALL)
317 @list=''; test -n "$(man1dir)" || exit 0; \
318 files=`{ for i in $$list; do echo "$$i"; done; \
319 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
320 sed -n '/\.1[a-z]*$$/p'; \
321 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
322 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
323 test -z "$$files" || { \
324 echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
325 cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
326 tags: TAGS
327 TAGS:
328
329 ctags: CTAGS
330 CTAGS:
331
332
333 distdir: $(DISTFILES)
334 @list='$(MANS)'; if test -n "$$list"; then \
335 list=`for p in $$list; do \
336 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
337 if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
338 if test -n "$$list" && \
339 grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
340 echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
341 grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
342 echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
343 echo " typically \`make maintainer-clean' will remove them" >&2; \
344 exit 1; \
345 else :; fi; \
346 else :; fi
347 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
348 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
349 list='$(DISTFILES)'; \
350 dist_files=`for file in $$list; do echo $$file; done | \
351 sed -e "s|^$$srcdirstrip/||;t" \
352 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
353 case $$dist_files in \
354 */*) $(MKDIR_P) `echo "$$dist_files" | \
355 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
356 sort -u` ;; \
357 esac; \
358 for file in $$dist_files; do \
359 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
360 if test -d $$d/$$file; then \
361 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
362 if test -d "$(distdir)/$$file"; then \
363 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
364 fi; \
365 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
366 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
367 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
368 fi; \
369 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
370 else \
371 test -f "$(distdir)/$$file" \
372 || cp -p $$d/$$file "$(distdir)/$$file" \
373 || exit 1; \
374 fi; \
375 done
376 check-am: all-am
377 check: check-am
378 all-am: Makefile $(MANS)
379 installdirs:
380 for dir in "$(DESTDIR)$(man1dir)"; do \
381 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
382 done
383 install: install-am
384 install-exec: install-exec-am
385 install-data: install-data-am
386 uninstall: uninstall-am
387
388 install-am: all-am
389 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
390
391 installcheck: installcheck-am
392 install-strip:
393 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
394 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
395 `test -z '$(STRIP)' || \
396 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
397 mostlyclean-generic:
398
399 clean-generic:
400 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
401
402 distclean-generic:
403 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
404 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
405
406 maintainer-clean-generic:
407 @echo "This command is intended for maintainers to use"
408 @echo "it deletes files that may require special tools to rebuild."
409 clean: clean-am
410
411 clean-am: clean-generic clean-libtool mostlyclean-am
412
413 distclean: distclean-am
414 -rm -f Makefile
415 distclean-am: clean-am distclean-generic
416
417 dvi: dvi-am
418
419 dvi-am:
420
421 html: html-am
422
423 html-am:
424
425 info: info-am
426
427 info-am:
428
429 install-data-am: install-man
430
431 install-dvi: install-dvi-am
432
433 install-dvi-am:
434
435 install-exec-am:
436
437 install-html: install-html-am
438
439 install-html-am:
440
441 install-info: install-info-am
442
443 install-info-am:
444
445 install-man: install-man1
446
447 install-pdf: install-pdf-am
448
449 install-pdf-am:
450
451 install-ps: install-ps-am
452
453 install-ps-am:
454
455 installcheck-am:
456
457 maintainer-clean: maintainer-clean-am
458 -rm -f Makefile
459 maintainer-clean-am: distclean-am maintainer-clean-generic
460
461 mostlyclean: mostlyclean-am
462
463 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
464
465 pdf: pdf-am
466
467 pdf-am:
468
469 ps: ps-am
470
471 ps-am:
472
473 uninstall-am: uninstall-man
474
475 uninstall-man: uninstall-man1
476
477 .MAKE: install-am install-strip
478
479 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
480 distclean distclean-generic distclean-libtool distdir dvi \
481 dvi-am html html-am info info-am install install-am \
482 install-data install-data-am install-dvi install-dvi-am \
483 install-exec install-exec-am install-html install-html-am \
484 install-info install-info-am install-man install-man1 \
485 install-pdf install-pdf-am install-ps install-ps-am \
486 install-strip installcheck installcheck-am installdirs \
487 maintainer-clean maintainer-clean-generic mostlyclean \
488 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
489 uninstall uninstall-am uninstall-man uninstall-man1
490
491
492 @ENABLE_REGENERATE_MAN_TRUE@lxpanel.1: lxpanel.xml
493 @ENABLE_REGENERATE_MAN_TRUE@ $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
494
495 @ENABLE_REGENERATE_MAN_TRUE@lxpanelctl.1: lxpanelctl.xml
496 @ENABLE_REGENERATE_MAN_TRUE@ $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
497
498 @ENABLE_REGENERATE_MAN_FALSE@$(man_MANS):
499 @ENABLE_REGENERATE_MAN_FALSE@ @echo ""
500 @ENABLE_REGENERATE_MAN_FALSE@ @echo "Error: you need to run configure with '--enable-man'"
501 @ENABLE_REGENERATE_MAN_FALSE@ @echo " in order to regenerate man pages."
502 @ENABLE_REGENERATE_MAN_FALSE@ @echo ""
503 @ENABLE_REGENERATE_MAN_FALSE@ @false
504
505 # Tell versions [3.59,3.63) of GNU make to not export all variables.
506 # Otherwise a system limit (for SysV at least) may be exceeded.
507 .NOEXPORT: